Name:          veyon
Version:       4.9.6
Release:       1mamba
Summary:       Cross-platform computer monitoring and classroom management
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://veyon.io/it/
Source:        https://github.com/veyon/veyon.git/v%{version}/veyon-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libQt6Concurrent
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6Widgets
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXtst-devel
BuildRequires: libfakekey-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libprocps-devel
BuildRequires: libqca-qt6-devel
BuildRequires: libsasl2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvncserver-devel
BuildRequires: qt6-qt5compat-devel
BuildRequires: qt6-qthttpserver-devel
## AUTOBUILDREQ-END
BuildRequires: libprocps-devel >= 0:4.0.5-1mamba
Provides:      italc
Obsoletes:     italc <= 2.0.2

%description
Cross-platform computer monitoring and classroom management.

%prep
%setup -q

%build
%cmake -d build \
   -DSYSTEMD_SERVICE_INSTALL_DIR=%{_unitdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_unitdir}/veyon.service
%{_bindir}/veyon-*
%dir %{_libdir}/veyon
%{_libdir}/veyon/*
%{_datadir}/applications/veyon-configurator.desktop
%{_datadir}/applications/veyon-master.desktop
%{_datadir}/polkit-1/actions/io.veyon.veyon-configurator.policy
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/pixmaps/*.xpm
%dir %{_datadir}/veyon/translations
%{_datadir}/veyon/translations/*.qm
%doc COPYING

%changelog
* Fri May 30 2025 Automatic Build System <autodist@openmamba.org> 4.9.6-1mamba
- automatic version update by autodist

* Mon Apr 14 2025 Automatic Build System <autodist@openmamba.org> 4.9.5-1mamba
- automatic version update by autodist

* Mon Mar 24 2025 Automatic Build System <autodist@openmamba.org> 4.9.4-1mamba
- automatic version update by autodist

* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 4.9.3-1mamba
- automatic version update by autodist

* Tue Feb 04 2025 Automatic Build System <autodist@openmamba.org> 4.9.2-1mamba
- automatic version update by autodist

* Thu Dec 26 2024 Automatic Build System <autodist@openmamba.org> 4.9.1-2mamba
- rebuilt by autoport with build requirements: libprocps-devel>=0:4.0.5-1mamba

* Sat Nov 30 2024 Automatic Build System <autodist@openmamba.org> 4.9.1-1mamba
- automatic version update by autodist

* Mon Sep 09 2024 Automatic Build System <autodist@openmamba.org> 4.9.0-1mamba
- automatic version update by autodist

* Thu Feb 22 2024 Automatic Build System <autodist@openmamba.org> 4.8.3-1mamba
- automatic version update by autodist

* Tue Aug 15 2023 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Thu Jul 06 2023 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Mon Apr 24 2023 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Thu Jan 26 2023 Automatic Build System <autodist@mambasoft.it> 4.7.5-1mamba
- automatic version update by autodist

* Sun Jul 31 2022 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Sat Apr 09 2022 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Tue Jan 25 2022 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Sun Jan 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.0-1mamba
- update to 4.7.0

* Thu Jul 31 2014 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Sun Aug 11 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Fri May 17 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Thu Jan 13 2011 Automatic Build System <autodist@mambasoft.it> 1.0.13-1mamba
- automatic update by autodist

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 1.0.12-1mamba
- automatic update by autodist

* Sat Oct 30 2010 Automatic Build System <autodist@mambasoft.it> 1.0.11-1mamba
- automatic update by autodist

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 1.0.9-2mamba
- automatic rebuild by autodist

* Mon Feb 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- update to 1.0.9

* Sat Jun 14 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> rc3-1mamba
- package created by autospec
